import { type ParallaxScrollerElement } from "./types.js";
/**
 * Find all elements with with "data-scroll" attribute and calculate viewport
 * height based on maximum `data-{$percent}p` value.
 * @private
 *
 * @returns {ParallaxScrollerElement[]} List of animated elements
 */
export declare const initElements: () => ParallaxScrollerElement[];
/**
 *
 * @param root
 */
export declare const initRootElement: (root: HTMLElement) => void;
